%define	name		soap
%define	version		2.3.1
%define cvs_version	2_3_1
%define	release		2jpp
%define	javadir		%{_datadir}/java
%define	javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SOAP
License:	Apache License
Group:		Development/Java
Vendor:		JPackage Project
Source0:	%{name}-src-%{version}.tar.gz
Url:		http://xml.apache.org/%{name}
Requires:	oldbsf
Requires:	servlet
Requires:	jsse >= 1.0.2-6jpp
Requires:	javamail >= 1.2-5jpp
Requires:	jaf >= 1.0.1-5jpp
BuildRequires:	ant
BuildRequires:	oldbsf
BuildRequires:	servlet
BuildRequires:	jsse >= 1.0.2-6jpp
BuildRequires:	javamail >= 1.2-5jpp
BuildRequires:	jaf >= 1.0.1-5jpp
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A tool for checking Java source code for adherence to a set of rules.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}-%{cvs_version}

%build
export CLASSPATH=\
%{javadir}/oldbsf.jar:\
%{javadir}/jsse/jnet.jar:\
%{javadir}/jsse/jsse.jar:\
%{javadir}/javamail/mailapi.jar:\
%{javadir}/jaf.jar:\
%{javadir}/servlet.jar
ant compile javadocs

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 2.3.1-2jpp
- oldbsf

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.3.1-1jpp
- soap 2.3.1

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2-1jpp 
- first jpp release
